Subject: Re: bug#60014: [PATCH] activation: make install-special-file match against pairs as well.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 20 Dec 2022 15:47:10 +0100

Hi,

Josselin Poiret <[email-masked]> skribis:

> Is this patch related to some specific problem you're running into?  I
> personally would prefer keeping the special file interface as-is, and
> not mix two different kinds of entries: lists with 2 elements, and
> pairs.  That would avoid having to manage even more edge-cases down the
> line if some more processing is needed.

I agree.  This is a public-facing interface so we should keep it as-is;
extending it to support pairs in addition to two-list elements would
likely bring confusion and bugs.

I’m not entirely sure why we settled on two-list elements rather than
pairs back then, but I think it’s OK.

Closing?

Ludo’.